using System;

internal sealed class Delegate118 : MulticastDelegate
{
	public extern DateTime Invoke(object object_0);

	public static DateTime smethod_0(object object_0, Delegate118 delegate118_1)
	{
		return delegate118_1(object_0);
	}

	public extern Delegate118(object object_0, IntPtr intptr_0);

	static Delegate118()
	{
		Class10.smethod_13(typeof(Delegate118).TypeHandle);
	}

	internal static Delegate118 delegate118_0;
}
